# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class AccountJournal(models.Model):
    _inherit = "account.journal"

    third_account_ids = fields.Many2many(
        comodel_name="account.account",
        check_company=True,
        copy=False,
        ondelete="restrict",
        string="Compte de tiers autorisés",
        domain="[('deprecated', '=', False), ('company_id', '=', company_id)]",
    )
